Skip to main content
`Ctrl`+`K`

# scipy.special.ber

scipy.special.ber(x, out=None) = <ufunc 'ber'>

  Kelvin function ber.

  Defined as

  \[\mathrm{ber}(x) = \Re[J_0(x e^{3 \pi i / 4})]\]

  where \(J_0\) is the Bessel function of the first kind of order zero (see `jv`). See [dlmf] for more details.

  Parameters:
    x array_like

      Real argument.

    out ndarray, optional

      Optional output array for the function results.

  Returns:
    scalar or ndarray

      Values of the Kelvin function.

  See also

  `bei`

    the corresponding real part

  `berp`

    the derivative of bei

  `jv`

    Bessel function of the first kind

  References

  [dlmf]

  NIST, Digital Library of Mathematical Functions, https://dlmf.nist.gov/10.61

  Examples

  It can be expressed using Bessel functions.

      >>> import numpy as np
      >>> import scipy.special as sc
      >>> x = np.array([1.0, 2.0, 3.0, 4.0])
      >>> sc.jv(0, x * np.exp(3 * np.pi * 1j / 4)).real
      array([ 0.98438178,  0.75173418, -0.22138025, -2.56341656])
      >>> sc.ber(x)
      array([ 0.98438178,  0.75173418, -0.22138025, -2.56341656])